GDB (xrefs)

Public Attributes | List of all members
socket_addr Union Reference

## Public Attributes
struct sockaddr | sa
struct sockaddr_in | sin
struct sockaddr_in6 | sin6

## Detailed Description

Definition at line 905 of file linux-osdata.c.

## Member Data Documentation

## ◆ sa

struct sockaddr socket_addr::sa

Definition at line 907 of file linux-osdata.c.

Referenced by print_sockets().

## ◆ sin

struct sockaddr_in socket_addr::sin

Definition at line 908 of file linux-osdata.c.

Referenced by print_sockets().

## ◆ sin6

struct sockaddr_in6 socket_addr::sin6

Definition at line 909 of file linux-osdata.c.

Referenced by print_sockets().

The documentation for this union was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/linux-osdata.c